AutoCAD Civil 3D General Discussion

AutoCAD Civil 3D General Discussion

Reply
*Don Reichle
Message 11 of 16 (90 Views)

Re: North rotation...

12-30-2004 12:10 PM in reply to: *Wade
Well this thread has taken a turn down a very important rabbit trail... To add to Bill and Angel's insightful comments, it may be that C3D finds its rightful spot in the smaller firms (less than 50, plus or minus) who don't have an "entrenched" mindset. The folks who for reasons that they have had to employ from dealing with agencies who are firmly stuck in the "Well, that's the way we've always done it!" mode, and like it that way (the agencies attitude about status quo). My generality allows for the firms that are not interested in maintaining the status quo, but I've learned that they are in the minority. After all, they (the agencies) might lose their "control" if they were to consider revising the methods that saw their advent during the 60s. Quite a few people IMHO don't recognize that "Change is the only constant." And when confronted with it (change) get quite bent out of shape, if some visionary wants to consider updating methodology to "keep up with the times". The cliche` "Pick your battles" most often means "Don't upset the apple-cart", and so things change according to a Snail-on-Valium's schedule. My $1.98 - inflation hits the two cents cliche`. :-) -- Don Reichle "King Of Work-Arounds" Barghausen Consulting Engineers Kent, WA USA LDT3 - SP1/CD3 - SP1 On WIN2K SP4 Dell 1.6 Ghz P4 512MB RAM NVIDIA 32MB AGP "Angel Espinoza" wrote in message news:41d457db$1_1@newsprd01... > I agree with Bill. > > One of my most often used quotes comes from Dean Kamen the inventor of the > Segway (I have had the privilege of hearing him speak twice). It is "...The > problem that most people have, is using the answers of the past, to solve > the problems of today." > > As much as we want to apply our existing knowledge to solve the problems we > confront; Sometimes this actually hinders us and places us further from the > true solution. Even though it is more effort to learn how to use something > the new (proper) way, in the long term it is "usually" more beneficial. > > Angel Espinoza > KETIV Technologies > > "wfb" wrote in message news:41d449c8_1@newsprd01... > > Wade: > > One of the things that I heard at AU (Autodesk University) was that one > > would probably be better equipped for Civil 3D if he had just started > using > > an engineering package. I don't think that this is true, but it does have > > some merit. I may be wrong, but in my opinion if you want to use your > > existing lisp or other programs you will not be able to live through > > this(). I am just getting into 3D but I believe you will find that the > > labeling can be structured through these styles to do what you are doing. > > I.e., if you want the label to be on the line than your style will abide > by > > that. If you want it readable, it will stay readable in paper space > > regardless of the angle you turn the model. I could go on, but there are > a > > lot more "versed" people in this NG than me. > > > > I will also add, that there were several things that this program will > spit > > out in a heartbeat. However, when it doesn't quite do all the things > > properly there doesn't seem to be the "magic correction command". I am > > trying to get some answers, but the "deskers" all seem to be on vacation. > > This period affords some extra time for several of us to work with 3D but > > getting stuck "kinda" complicates things. > > > > Bill > > PS > > That code was from one of our regulars, Don Reichle. > > He followed up with a statement that it is to be used only through the PS > > window. > > > > "Wade" wrote in message > > news:41d41fbc$1_2@newsprd01... > > > Bill, > > > > > > First of all, thanks for the code. > > > > > > I think you're right, it doesn't want to go back. Even the "Undo" > option > > in > > > the Dview command doesn't "Undo" the twist. The coordinates remain the > > same > > > (same Northing/Easting after "dvtw" - which was one of the things I was > > > looking for) and the labels remain "plan readable" (but only labels > > attached > > > to entities such as points, alignments, etc. - any text that is entered > > > rotates with the drawing). > > > > > > I think Civil 3D still needs to have a way to rotate the North rotation > > > (i.e. North is rotated to the right 45 degrees) so the Northing/Easting > > and > > > Bearings remain the same (as if North was straight up), but AutoCADs > > angles > > > are unaffected (i.e. 0 degrees to the right, 90 degrees straight up). > If > > > Autodesk doesn't develop a way to do this, I'm afraid several of our > Lisp > > > routines will never work - one of which labels the stationing and offset > > of > > > points along an alignment and bases the rotation of the text on > AutoCAD's > > > angles, not the North angle, to maintain "plan readability" based on our > > > standards. > > > > > > P.S. just a minor error message come up after running your routine: > > "error: > > > AutoCAD variable setting rejected: "cmdecho" nil" only because the > > variable > > > "cmde" was never set - no biggie though. > > > > > > > > > "wfb" wrote in message > > > news:41d2bd42$1_3@newsprd01... > > > > Don: > > > > If I remember correctly, you don't have access to Civil3D. I need for > > > > someone that does to check this routine out. It doesn't appear to be > > > > working correctly. At least not for me. It does the "twist" OK, but > > > > doesn't want to go back. > > > > > > > > Bill > > > > Civil 3D 2005 > > > > Win XP Pro SP2 > > > > P4- 3Ghz > > > > 1 MB > > > > Dual Monitors > > > > > > > > "Don Reichle" wrote in message > > > > news:41d216e3_3@newsprd01... > > > > > Gentlemen (and any Ladies perusing the thread); > > > > > > > > > > I used this in the LDT DG today, might as well share it here also. > > > > > > > > > > How about a simple DVIEW Twist Lisp routine? (Say that several times > > in > > > > > succession!) > > > > > [Lisp code] > > > > > ; simple dview twist - (c) 2003 David Draeger > > > > > ; Zoom and View commands added by Don Reichle > > > > > > > > > > (defun c:dvtw (/ cmde twa sna) > > > > > > > > > > (princ "Pick direction points or enter angle:") > > > > > (setq twa (getangle)) > > > > > (setq sna twa) > > > > > (setq twa (angtos twa (getvar "aunits"))) > > > > > (setq twa (strcat "-" twa)) > > > > > > > > > > (command "dview" "" "tw" twa "") > > > > > (setvar "snapang" sna) > > > > > (command "zoom" "e") > > > > > (command "view" "save" "view") > > > > > > > > > > (setvar "cmdecho" cmde) > > > > > (princ) > > > > > ) > > > > > > > > > > [Lisp code] > > > > > > > > > > You can pick the points on-screen (i.e. Midpoint & Endpoint of > longest > > > > > tangent of street centerline or boundary line), or simply enter the > > > angle > > > > > you want - positive or negative, it doesn't care. > > > > > > > > > > HTH > > > > > > > > > > -- > > > > > Don Reichle > > > > > "King Of Work-Arounds" > > > > > Barghausen Consulting Engineers > > > > > Kent, WA USA > > > > > LDT3 - SP1/CD3 - SP1 > > > > > On WIN2K SP4 > > > > > Dell 1.6 Ghz P4 > > > > > 512MB RAM > > > > > NVIDIA 32MB AGP > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
*Allen Jessup
Message 12 of 16 (90 Views)

Re: North rotation...

12-30-2004 12:20 PM in reply to: *Wade
"Back" would be Dview > Twist > 0. Setting the viewtwist back to 0 deg. Dview Twist is what was recommended by autodesk in a Civil 3D update workshop I recently attended. Allen "Don Reichle" wrote in message news:41d2fee5_3@newsprd01... > Hey Bill; > > A little clarification may be in order, especially since you are working in > virgin territory here. > > I run this lisp from the Layout tab with the Viewport in question active, > not the Model tab. That way it has no effect on Model Space, other than when > viewed from the Plotting aspect. So there's no "back" in that situation. > > Though for ease of working, I generally end up twisting any base DWGs to the > same rotation as the Plot sheet, unless there are more than one twist > involved. I got used to working on small projects for a while in the recent > past. > > -- > Don Reichle > "King Of Work-Arounds" > Barghausen Consulting Engineers > Kent, WA USA > LDT3 - SP1/CD3 - SP1 > On WIN2K SP4 > Dell 1.6 Ghz P4 > 512MB RAM > NVIDIA 32MB AGP > > > "wfb" wrote in message > news:41d2f1a1$1_1@newsprd01... > > Don: > > > > "Go back" in my case is to the same view prior to running the lisp. > > It may be just me since I have very rarely used dview twist. I always use > a > > rotated UCS, make a "view" of the rotation, immediately return to World > UCS. > > > > Bill > > > > "Don Reichle" wrote in message > > news:41d2dc3a$1_1@newsprd01... > > > Hey Bill; > > > > > > It will help the brave soul that attempts to recreate the problem if you > > > could define "go back". > > > > > > And you're correct... still in the holding pattern for C3D. > > > > > > -- > > > Don Reichle > > > "King Of Work-Arounds" > > > Barghausen Consulting Engineers > > > Kent, WA USA > > > LDT3 - SP1/CD3 - SP1 > > > On WIN2K SP4 > > > Dell 1.6 Ghz P4 > > > 512MB RAM > > > NVIDIA 32MB AGP > > > > > > > > > "wfb" wrote in message > > > news:41d2bd42$1_3@newsprd01... > > > > Don: > > > > If I remember correctly, you don't have access to Civil3D. I need for > > > > someone that does to check this routine out. It doesn't appear to be > > > > working correctly. At least not for me. It does the "twist" OK, but > > > > doesn't want to go back. > > > > > > > > Bill > > > > Civil 3D 2005 > > > > Win XP Pro SP2 > > > > P4- 3Ghz > > > > 1 MB > > > > Dual Monitors > > > > > > > > > > > > > >
*Allen Jessup
Message 13 of 16 (90 Views)

Re: North rotation...

12-30-2004 12:41 PM in reply to: *Wade
If that's how you would want to work then I can't say you shouldn't have the opportunity to do so. However I would not want to work with my coordinate grid not parallel to AutoCAD's. I might suggest that you revise you lisp routines to calculate the insertion angle of the text based on the Viewtwist system variable. I've used this method in LDT with no problems. Below is an old simple example of using the Viewtwist value to calculate the text insertion angle. I used this back in the S8 days to extract attributes from the points for labeling. The variable TANG is the text insertion angle. Allen (defun c:dlh (/ VANG SANG TANG ENT1 ENT2 ENT3 ENT4 ATRIBELEV ATRIBPNT ATRIBDESC IPT) (setq VANG (getvar "viewtwist") SANG (- (* 2 pi) VANG) TANG (/ (* 180 SANG) pi) ENT1 (car(entsel)) ENT2 (entnext ENT1) ENT3 (entnext ENT2) ENT4 (entnext ENT3) ATRIBELEV (cdr(assoc 1(entget ENT2))) ATRIBPNT (cdr(assoc 1(entget ENT3))) ATRIBDESC (cdr(assoc 1(entget ENT4))) IPT (getpoint "\nInsertion Point ?")) (command "text" IPT TANG ATRIBDESC)) ! Also: ; Mtext at Viewtwist rotation (defun c:mtr() (setq tang (-(/ (* (GETVAR "viewtwist") 180.0) PI)) ) (initdia) (command "mtext" PAUSE "R" tang) ) "Wade" wrote in message news:41d41fbc$1_2@newsprd01... > Bill, > > First of all, thanks for the code. > > I think you're right, it doesn't want to go back. Even the "Undo" option in > the Dview command doesn't "Undo" the twist. The coordinates remain the same > (same Northing/Easting after "dvtw" - which was one of the things I was > looking for) and the labels remain "plan readable" (but only labels attached > to entities such as points, alignments, etc. - any text that is entered > rotates with the drawing). > > I think Civil 3D still needs to have a way to rotate the North rotation > (i.e. North is rotated to the right 45 degrees) so the Northing/Easting and > Bearings remain the same (as if North was straight up), but AutoCADs angles > are unaffected (i.e. 0 degrees to the right, 90 degrees straight up). If > Autodesk doesn't develop a way to do this, I'm afraid several of our Lisp > routines will never work - one of which labels the stationing and offset of > points along an alignment and bases the rotation of the text on AutoCAD's > angles, not the North angle, to maintain "plan readability" based on our > standards. > > P.S. just a minor error message come up after running your routine: "error: > AutoCAD variable setting rejected: "cmdecho" nil" only because the variable > "cmde" was never set - no biggie though. > > > "wfb" wrote in message > news:41d2bd42$1_3@newsprd01... > > Don: > > If I remember correctly, you don't have access to Civil3D. I need for > > someone that does to check this routine out. It doesn't appear to be > > working correctly. At least not for me. It does the "twist" OK, but > > doesn't want to go back. > > > > Bill > > Civil 3D 2005 > > Win XP Pro SP2 > > P4- 3Ghz > > 1 MB > > Dual Monitors > > > > "Don Reichle" wrote in message > > news:41d216e3_3@newsprd01... > > > Gentlemen (and any Ladies perusing the thread); > > > > > > I used this in the LDT DG today, might as well share it here also. > > > > > > How about a simple DVIEW Twist Lisp routine? (Say that several times in > > > succession!) > > > [Lisp code] > > > ; simple dview twist - (c) 2003 David Draeger > > > ; Zoom and View commands added by Don Reichle > > > > > > (defun c:dvtw (/ cmde twa sna) > > > > > > (princ "Pick direction points or enter angle:") > > > (setq twa (getangle)) > > > (setq sna twa) > > > (setq twa (angtos twa (getvar "aunits"))) > > > (setq twa (strcat "-" twa)) > > > > > > (command "dview" "" "tw" twa "") > > > (setvar "snapang" sna) > > > (command "zoom" "e") > > > (command "view" "save" "view") > > > > > > (setvar "cmdecho" cmde) > > > (princ) > > > ) > > > > > > [Lisp code] > > > > > > You can pick the points on-screen (i.e. Midpoint & Endpoint of longest > > > tangent of street centerline or boundary line), or simply enter the > angle > > > you want - positive or negative, it doesn't care. > > > > > > HTH > > > > > > -- > > > Don Reichle > > > "King Of Work-Arounds" > > > Barghausen Consulting Engineers > > > Kent, WA USA > > > LDT3 - SP1/CD3 - SP1 > > > On WIN2K SP4 > > > Dell 1.6 Ghz P4 > > > 512MB RAM > > > NVIDIA 32MB AGP > > > > > > > > > > > > > > >
*Don Reichle
Message 14 of 16 (90 Views)

Re: North rotation...

12-30-2004 01:38 PM in reply to: *Wade
Maybe I should include a save of the Default View prior to the Twist. But after a short experiment, the SNAPANG variable would need to be reset also. And during the course of the experiment I learned that three Undo's will get you back to the original setting prior to the Lisp. Which makes sense when you look at the code and see that three commands are being issued, one after another. DVIEW ZOOM VIEW I find that most of the time the answer is "hidden in plain sight." :-) -- Don Reichle "King Of Work-Arounds" Barghausen Consulting Engineers Kent, WA USA LDT3 - SP1/CD3 - SP1 On WIN2K SP4 Dell 1.6 Ghz P4 512MB RAM NVIDIA 32MB AGP "Allen Jessup" wrote in message news:41d46287$1_3@newsprd01... > "Back" would be Dview > Twist > 0. Setting the viewtwist back to 0 deg. > Dview Twist is what was recommended by autodesk in a Civil 3D update > workshop I recently attended. > > Allen > > "Don Reichle" wrote in message > news:41d2fee5_3@newsprd01... > > Hey Bill; > > > > A little clarification may be in order, especially since you are working > in > > virgin territory here. > > > > I run this lisp from the Layout tab with the Viewport in question active, > > not the Model tab. That way it has no effect on Model Space, other than > when > > viewed from the Plotting aspect. So there's no "back" in that situation. > > > > Though for ease of working, I generally end up twisting any base DWGs to > the > > same rotation as the Plot sheet, unless there are more than one twist > > involved. I got used to working on small projects for a while in the > recent > > past. > > > > -- > > Don Reichle > > "King Of Work-Arounds" > > Barghausen Consulting Engineers > > Kent, WA USA > > LDT3 - SP1/CD3 - SP1 > > On WIN2K SP4 > > Dell 1.6 Ghz P4 > > 512MB RAM > > NVIDIA 32MB AGP > > > > > > "wfb" wrote in message > > news:41d2f1a1$1_1@newsprd01... > > > Don: > > > > > > "Go back" in my case is to the same view prior to running the lisp. > > > It may be just me since I have very rarely used dview twist. I always > use > > a > > > rotated UCS, make a "view" of the rotation, immediately return to World > > UCS. > > > > > > Bill > > > > > > "Don Reichle" wrote in message > > > news:41d2dc3a$1_1@newsprd01... > > > > Hey Bill; > > > > > > > > It will help the brave soul that attempts to recreate the problem if > you > > > > could define "go back". > > > > > > > > And you're correct... still in the holding pattern for C3D. > > > > > > > > -- > > > > Don Reichle > > > > "King Of Work-Arounds" > > > > Barghausen Consulting Engineers > > > > Kent, WA USA > > > > LDT3 - SP1/CD3 - SP1 > > > > On WIN2K SP4 > > > > Dell 1.6 Ghz P4 > > > > 512MB RAM > > > > NVIDIA 32MB AGP > > > > > > > > > > > > "wfb" wrote in message > > > > news:41d2bd42$1_3@newsprd01... > > > > > Don: > > > > > If I remember correctly, you don't have access to Civil3D. I need > for > > > > > someone that does to check this routine out. It doesn't appear to > be > > > > > working correctly. At least not for me. It does the "twist" OK, > but > > > > > doesn't want to go back. > > > > > > > > > > Bill > > > > > Civil 3D 2005 > > > > > Win XP Pro SP2 > > > > > P4- 3Ghz > > > > > 1 MB > > > > > Dual Monitors > > > > > > > > > > > > > > > > > > > > > >
*wfb
Message 15 of 16 (90 Views)

Re: North rotation...

12-30-2004 03:38 PM in reply to: *Wade
Don said one should only use it while going through paper space. It doesn't seem to have a problem when going back to regular model space. You don't need LDD commands in Paper Space do you? (Personally I have never used them there.) Bill "Allen Jessup" wrote in message news:41d4676c$1_1@newsprd01... > If that's how you would want to work then I can't say you shouldn't have the > opportunity to do so. However I would not want to work with my coordinate > grid not parallel to AutoCAD's. I might suggest that you revise you lisp > routines to calculate the insertion angle of the text based on the Viewtwist > system variable. I've used this method in LDT with no problems. > > Below is an old simple example of using the Viewtwist value to calculate the > text insertion angle. I used this back in the S8 days to extract attributes > from the points for labeling. The variable TANG is the text insertion angle. > > Allen > (defun c:dlh (/ VANG SANG TANG ENT1 ENT2 ENT3 ENT4 ATRIBELEV ATRIBPNT > ATRIBDESC IPT) > (setq VANG (getvar "viewtwist") > SANG (- (* 2 pi) VANG) > TANG (/ (* 180 SANG) pi) > ENT1 (car(entsel)) > ENT2 (entnext ENT1) > ENT3 (entnext ENT2) > ENT4 (entnext ENT3) > ATRIBELEV (cdr(assoc 1(entget ENT2))) > ATRIBPNT (cdr(assoc 1(entget ENT3))) > ATRIBDESC (cdr(assoc 1(entget ENT4))) > IPT (getpoint "\nInsertion Point ?")) > (command "text" IPT TANG ATRIBDESC)) > ! > > Also: > > ; Mtext at Viewtwist rotation > (defun c:mtr() > (setq tang (-(/ (* (GETVAR "viewtwist") 180.0) PI)) > ) > (initdia) > (command "mtext" PAUSE "R" tang) > ) > > > "Wade" wrote in message > news:41d41fbc$1_2@newsprd01... > > Bill, > > > > First of all, thanks for the code. > > > > I think you're right, it doesn't want to go back. Even the "Undo" option > in > > the Dview command doesn't "Undo" the twist. The coordinates remain the > same > > (same Northing/Easting after "dvtw" - which was one of the things I was > > looking for) and the labels remain "plan readable" (but only labels > attached > > to entities such as points, alignments, etc. - any text that is entered > > rotates with the drawing). > > > > I think Civil 3D still needs to have a way to rotate the North rotation > > (i.e. North is rotated to the right 45 degrees) so the Northing/Easting > and > > Bearings remain the same (as if North was straight up), but AutoCADs > angles > > are unaffected (i.e. 0 degrees to the right, 90 degrees straight up). If > > Autodesk doesn't develop a way to do this, I'm afraid several of our Lisp > > routines will never work - one of which labels the stationing and offset > of > > points along an alignment and bases the rotation of the text on AutoCAD's > > angles, not the North angle, to maintain "plan readability" based on our > > standards. > > > > P.S. just a minor error message come up after running your routine: > "error: > > AutoCAD variable setting rejected: "cmdecho" nil" only because the > variable > > "cmde" was never set - no biggie though. > > > > > > "wfb" wrote in message > > news:41d2bd42$1_3@newsprd01... > > > Don: > > > If I remember correctly, you don't have access to Civil3D. I need for > > > someone that does to check this routine out. It doesn't appear to be > > > working correctly. At least not for me. It does the "twist" OK, but > > > doesn't want to go back. > > > > > > Bill > > > Civil 3D 2005 > > > Win XP Pro SP2 > > > P4- 3Ghz > > > 1 MB > > > Dual Monitors > > > > > > "Don Reichle" wrote in message > > > news:41d216e3_3@newsprd01... > > > > Gentlemen (and any Ladies perusing the thread); > > > > > > > > I used this in the LDT DG today, might as well share it here also. > > > > > > > > How about a simple DVIEW Twist Lisp routine? (Say that several times > in > > > > succession!) > > > > [Lisp code] > > > > ; simple dview twist - (c) 2003 David Draeger > > > > ; Zoom and View commands added by Don Reichle > > > > > > > > (defun c:dvtw (/ cmde twa sna) > > > > > > > > (princ "Pick direction points or enter angle:") > > > > (setq twa (getangle)) > > > > (setq sna twa) > > > > (setq twa (angtos twa (getvar "aunits"))) > > > > (setq twa (strcat "-" twa)) > > > > > > > > (command "dview" "" "tw" twa "") > > > > (setvar "snapang" sna) > > > > (command "zoom" "e") > > > > (command "view" "save" "view") > > > > > > > > (setvar "cmdecho" cmde) > > > > (princ) > > > > ) > > > > > > > > [Lisp code] > > > > > > > > You can pick the points on-screen (i.e. Midpoint & Endpoint of longest > > > > tangent of street centerline or boundary line), or simply enter the > > angle > > > > you want - positive or negative, it doesn't care. > > > > > > > > HTH > > > > > > > > -- > > > > Don Reichle > > > > "King Of Work-Arounds" > > > > Barghausen Consulting Engineers > > > > Kent, WA USA > > > > LDT3 - SP1/CD3 - SP1 > > > > On WIN2K SP4 > > > > Dell 1.6 Ghz P4 > > > > 512MB RAM > > > > NVIDIA 32MB AGP > > > > > > > > > > > > > > > > > > > > > > > >
*Don Reichle
Message 16 of 16 (90 Views)

Re: North rotation...

12-30-2004 04:42 PM in reply to: *Wade
You've lived a sheltered life, my friend. I admit that my use of most of them is centered around the DWG that are then XREF'd into the production DWG, but from time to time... As in the case of a Curb Return Data Label. I will use a Nested Copy to bring the appropriate arc into the Production DWG (on a No Plot layer, of course), and then use a Dynamic stacked curve label not aligned to the object to produce said data. If the curve changes in the Base DWG, then all I need to do is update the arc in the production DWG, and then update the Dynamic label. And I think you read into my explanation a little too far. I hope I made the distinction that I use that routine in either the Model Tab of the Layout Tab. The fix that I pointed out recently was that you need to issue three Undo's to get the data back to the way it looked prior to using the Lisp. One for the View command; one for the Zoom command; and one for the Dview command. See my reply at 1:38pm today. HTH -- Don Reichle "King Of Work-Arounds" Barghausen Consulting Engineers Kent, WA USA LDT3 - SP1/CD3 - SP1 On WIN2K SP4 Dell 1.6 Ghz P4 512MB RAM NVIDIA 32MB AGP "wfb" wrote in message news:41d49182_2@newsprd01... > Don said one should only use it while going through paper space. It doesn't > seem to have a problem when going back to regular model space. > You don't need LDD commands in Paper Space do you? (Personally I have never > used them there.) > > Bill > > "Allen Jessup" wrote in message > news:41d4676c$1_1@newsprd01... > > If that's how you would want to work then I can't say you shouldn't have > the > > opportunity to do so. However I would not want to work with my coordinate > > grid not parallel to AutoCAD's. I might suggest that you revise you lisp > > routines to calculate the insertion angle of the text based on the > Viewtwist > > system variable. I've used this method in LDT with no problems. > > > > Below is an old simple example of using the Viewtwist value to calculate > the > > text insertion angle. I used this back in the S8 days to extract > attributes > > from the points for labeling. The variable TANG is the text insertion > angle. > > > > Allen > > (defun c:dlh (/ VANG SANG TANG ENT1 ENT2 ENT3 ENT4 ATRIBELEV ATRIBPNT > > ATRIBDESC IPT) > > (setq VANG (getvar "viewtwist") > > SANG (- (* 2 pi) VANG) > > TANG (/ (* 180 SANG) pi) > > ENT1 (car(entsel)) > > ENT2 (entnext ENT1) > > ENT3 (entnext ENT2) > > ENT4 (entnext ENT3) > > ATRIBELEV (cdr(assoc 1(entget ENT2))) > > ATRIBPNT (cdr(assoc 1(entget ENT3))) > > ATRIBDESC (cdr(assoc 1(entget ENT4))) > > IPT (getpoint "\nInsertion Point ?")) > > (command "text" IPT TANG ATRIBDESC)) > > ! > > > > Also: > > > > ; Mtext at Viewtwist rotation > > (defun c:mtr() > > (setq tang (-(/ (* (GETVAR "viewtwist") 180.0) PI)) > > ) > > (initdia) > > (command "mtext" PAUSE "R" tang) > > ) > > > > > > "Wade" wrote in message > > news:41d41fbc$1_2@newsprd01... > > > Bill, > > > > > > First of all, thanks for the code. > > > > > > I think you're right, it doesn't want to go back. Even the "Undo" > option > > in > > > the Dview command doesn't "Undo" the twist. The coordinates remain the > > same > > > (same Northing/Easting after "dvtw" - which was one of the things I was > > > looking for) and the labels remain "plan readable" (but only labels > > attached > > > to entities such as points, alignments, etc. - any text that is entered > > > rotates with the drawing). > > > > > > I think Civil 3D still needs to have a way to rotate the North rotation > > > (i.e. North is rotated to the right 45 degrees) so the Northing/Easting > > and > > > Bearings remain the same (as if North was straight up), but AutoCADs > > angles > > > are unaffected (i.e. 0 degrees to the right, 90 degrees straight up). > If > > > Autodesk doesn't develop a way to do this, I'm afraid several of our > Lisp > > > routines will never work - one of which labels the stationing and offset > > of > > > points along an alignment and bases the rotation of the text on > AutoCAD's > > > angles, not the North angle, to maintain "plan readability" based on our > > > standards. > > > > > > P.S. just a minor error message come up after running your routine: > > "error: > > > AutoCAD variable setting rejected: "cmdecho" nil" only because the > > variable > > > "cmde" was never set - no biggie though. > > > > > > > > > "wfb" wrote in message > > > news:41d2bd42$1_3@newsprd01... > > > > Don: > > > > If I remember correctly, you don't have access to Civil3D. I need for > > > > someone that does to check this routine out. It doesn't appear to be > > > > working correctly. At least not for me. It does the "twist" OK, but > > > > doesn't want to go back. > > > > > > > > Bill > > > > Civil 3D 2005 > > > > Win XP Pro SP2 > > > > P4- 3Ghz > > > > 1 MB > > > > Dual Monitors > > > > > > > > "Don Reichle" wrote in message > > > > news:41d216e3_3@newsprd01... > > > > > Gentlemen (and any Ladies perusing the thread); > > > > > > > > > > I used this in the LDT DG today, might as well share it here also. > > > > > > > > > > How about a simple DVIEW Twist Lisp routine? (Say that several times > > in > > > > > succession!) > > > > > [Lisp code] > > > > > ; simple dview twist - (c) 2003 David Draeger > > > > > ; Zoom and View commands added by Don Reichle > > > > > > > > > > (defun c:dvtw (/ cmde twa sna) > > > > > > > > > > (princ "Pick direction points or enter angle:") > > > > > (setq twa (getangle)) > > > > > (setq sna twa) > > > > > (setq twa (angtos twa (getvar "aunits"))) > > > > > (setq twa (strcat "-" twa)) > > > > > > > > > > (command "dview" "" "tw" twa "") > > > > > (setvar "snapang" sna) > > > > > (command "zoom" "e") > > > > > (command "view" "save" "view") > > > > > > > > > > (setvar "cmdecho" cmde) > > > > > (princ) > > > > > ) > > > > > > > > > > [Lisp code] > > > > > > > > > > You can pick the points on-screen (i.e. Midpoint & Endpoint of > longest > > > > > tangent of street centerline or boundary line), or simply enter the > > > angle > > > > > you want - positive or negative, it doesn't care. > > > > > > > > > > HTH > > > > > > > > > > -- > > > > > Don Reichle > > > > > "King Of Work-Arounds" > > > > > Barghausen Consulting Engineers > > > > > Kent, WA USA > > > > > LDT3 - SP1/CD3 - SP1 > > > > > On WIN2K SP4 > > > > > Dell 1.6 Ghz P4 > > > > > 512MB RAM > > > > > NVIDIA 32MB AGP > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > >
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.